Get case deep links
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/cases/cases/v1/{case_id}/deep-links \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/cases/cases/v1/{case_id}/deep-links"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/cases/cases/v1/{case_id}/deep-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deepLinks": {
"alertIndicators": {},
"detail": "<string>",
"impactedEntities": [
{
"entity": {
"apmService": {
"language": "go",
"name": "payments-api"
},
"apmDatabase": {
"name": "orders-db",
"system": "postgresql"
}
},
"url": "<string>"
}
]
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Cases Service
Get case deep links
Retrieve deep-link URLs for a case.
Requires the following permissions:
case:Read
Get case deep links
Authorizations
API key authentication
Path Parameters
ID of the case. Accepts either the case UUID (the id field on a case) or the readable identifier (the readable_id field, e.g. CASE-123).
Required string length:
1 - 64Pattern:
^([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}|[A-Z]+-[0-9]+)$Example:
"3f166e9f-3c88-4af2-b52e-138f339dab3e"
Response
Response containing the deep links for the requested case
Pre-built URLs that navigate from a case to the relevant views.
Show child attributes
Show child attributes
Was this page helpful?
⌘I